@micro-app/plugin-compatible

    0.0.6 • Public • Published

    Micro APP Plugin - Compatible

    [Plugin] compatible plugin.

    针对于跨版本升级的兼容性方案. 用于 @micro-app/cli 的插件.

    Github Actions Coveralls Coverage Status NPM Version NPM Download

    Install

    yarn add @micro-app/plugin-compatible

    or

    npm install -S @micro-app/plugin-compatible

    Usage

    在项目 根目录micro-app.config.js 文件中配置

    module.exports = {
        // ...
     
        plugins: [ // 自定义插件
            ['@micro-app/plugin-compatible', {
                version: 'v1', // default: 'v1'
                server: false, // default: true
            }],
        ],
    };

    Details

    v1

    v1 版本兼容 0.2.x 版本配置,支持内置 koa 服务。

    // options
    {
        version: 'v1', // default: 'v1'
        server: false, // default: true
    }

    Options

    version

    版本切换

    • type: string,
    • default: v1

    server

    是否启用内置服务。

    • type: boolean,
    • default: true

    Install

    npm i @micro-app/plugin-compatible

    DownloadsWeekly Downloads

    9

    Version

    0.0.6

    License

    MIT

    Unpacked Size

    15 kB

    Total Files

    11

    Last publish

    Collaborators

    • zyao89